export default class ColorHelper {
  /**
  * Takes r, g, b values that are between 0 and 255 and converts
  * them to a color object with values between 0 and 1. This is useful
  * because engines typically work with color values between 0 and 1
  */
  static createColorObject0to1 = (r, g, b) => {
    return {
      r: r / 255,
      g: g / 255,
      b: b / 255
    };
  };
  /**
  * Converts the given color between Gamma and Linear space.
  * Useful when a user gives you a color that is in Gamma space but
  * the shaders are written to work in linear space.
  */
  static convertColorGammaToLinear = color => {
    color.r **= 2.2;
    color.g **= 2.2;
    color.b **= 2.2;
    return color;
  };
}
