var path = require('path');

var baseSettings = {
  entry: './src/index.js',
  module: {
    rules: [
      {
        enforce: 'pre',
        test: /\.js$/,
        exclude: /node_modules/,
        loader: 'eslint-loader',
      },
      {
        test: /\.js$/,
        exclude: /node_modules/,
        use: {
          loader: 'babel-loader'
        }
      }
    ]
  }
};

var exportToVar = Object.assign({}, baseSettings);
var exportToCommonJs = Object.assign({}, baseSettings);

exportToVar.output = {
  filename: 'onu-clara-lib-var.js',
  path: path.resolve(__dirname, 'lib'),
  library: 'onuClaraLib',
  libraryTarget: 'var'
};

exportToCommonJs.output = {
  filename: 'onu-clara-lib.js',
  path: path.resolve(__dirname, 'lib'),
  libraryTarget: 'commonjs2'
};

module.exports = [exportToVar, exportToCommonJs];
